Gnome 3

Dopo alcuni mesi di sviluppo è stata da pochi giorni rilasciata la nuova Mailnag 0.1 semplice applicazione con la quale avremo le notifiche  di nuovi messaggi di posta elettronica senza avviare alcun client email su Gnome 3.

Solo in caso volessimo leggerli potremo avviare il nostro Evolution o altra applicazione o Browser da noi predefinita per al ricezione e invio delle email direttamente dalla notifica. Mailnag si presenta come alternativa al famoso Popper,  supporta POP3 e IMAP (funziona anche con Gmail). La nuova Mailnag 0.1, inoltre, ci permette di importare automaticamente gli account da Evolution direttamente all’avvio inoltre possiamo eseguire determinate applicazioni o script al momento della ricerca o arrivo di nuovi messaggi.

In questo articolo vedremo come installare Mailnag 0.1 su Ubuntu con Gnome 3 e Fedora 15.

Gnome 3

Per prima cosa dobbiamo installare alcune Dipendenze necessarie per poter utilizzare Mailnag  nella nostra Distribuzione per farlo da terminale digitiamo:

Per Ubuntu

sudo apt-get install python-xdg python-notify python-gnomekeyring python-httplib2 python-gtk2 python-gobject alsa-utils

Per Fedora

su
yum install pyxdg notify-python gnome-python2-gnomekeyring python-httplib2 pygtk2 pygobject2 alsa-utils

a questo punto scarichiamo Mailnag da questa pagina ed estraiamone il file.

Gnome 3

Una volta estratta diamo un doppioclick su mailnag_config  e si aprirà una finestra dove imposteremo i nostri account e le varie opzioni di notifica.
Una volta chiusa la finestra avremo il nostro Mailnag avviato

Home Mailnag

  • stefano montesi

    quando eseguo il file mailnag_config ottengo “mailnag-config discarded”.
    Ho letto in altri posti che per vedere l’errore devo eseguire Mailnag/config_window.py e facendolo ottengo questo:
    Traceback (most recent call last):File “Mailnag/config_window.py”, line 30, in from gi.repository import GLib, GdkPixbuf, GtkFile “/usr/lib/python2.7/dist-packages/gi/init.py”, line 23, in from ._gi import _API, RepositoryImportError: could not import gobject (error was: ImportError(‘When using gi.repository you must not import static modules like “gobject”. Please change all occurrences of “import gobject” to “from gi.repository import GObject”.’,))
    Idee?
    (Ps:Ubuntu 11.10 64 bit)

    • c’è un errore con qualche libreria python non supportata
      prova a segnalare il problema all’amministratore del progetto

No more articles